{
    "attributes": {
        "NOTE": {
            "isGenerated": false,
            "key": "NOTE",
            "origin": "f9d66f08-1f63-4cad-87e1-a3a696d53497",
            "type": "STRING",
            "value": "The message defined in this test purpose is used in the subsequent test purposes with the snippet name \u2018MSG_SEC_RCV_CAM_01\u2019. Only differences to this snippet are mentioned in subsequent test purposes."
        },
        "_author": {
            "isGenerated": false,
            "key": "_author",
            "origin": "f9d66f08-1f63-4cad-87e1-a3a696d53497",
            "type": "STRING",
            "value": "filatov"
        },
        "_description": {
            "isGenerated": false,
            "key": "_description",
            "origin": "f9d66f08-1f63-4cad-87e1-a3a696d53497",
            "type": "STRING",
            "value": "Check that IUT accepts a well-formed Secured CAM containing certificate in signer_info"
        },
        "_expectedResults": {
            "isGenerated": false,
            "key": "_expectedResults",
            "origin": "f9d66f08-1f63-4cad-87e1-a3a696d53497",
            "type": "STRING",
            "value": "with\r\n\tthe IUT being in the 'authorized' state\r\n\tand the IUT current time is inside the time validity period of CERT_TS_A_AT\r\nensure that\r\n\twhen\r\n\t\tthe IUT is receiving a SecuredMessage\r\n\t\t\tcontaining protocol_version \r\n\t\t\t\tindicating value '2'\r\n\t\t\tand containing header_fields[0]\r\n\t\t\t\tcontaining type \r\n\t\t\t\t\tindicating 'signer_info'\r\n\t\t\t\tand containing signer\r\n\t\t\t\t\tcontaining type\r\n\t\t\t\t\t\tindicating 'certificate'\r\n\t\t\t\t\tand containing certificate (CERT_TS_A_AT)\r\n\t\t\t\t\t\tcontaining subject_info.subject_type\r\n\t\t\t\t\t\t\tindicating 'authorization_ticket'\r\n\t\t\t\t\t\tand containing subject_attributes['verification key'] (KEY)\r\n\t\t\tand containing header_fields [1]\r\n\t\t\t\tcontaining type\r\n\t\t\t\t\tindicating 'generation_time'\r\n\t\t\t\tand containing generation_time\r\n\t\t\t\t\tindicating CURRENT_TIME\r\n\t\t\tand containing header_fields[2]\r\n\t\t\t\tcontaining type\r\n\t\t\t\t\tindicating 'its_aid'\r\n\t\t\t\tand containing its_aid\r\n\t\t\t\t\tindicating 'AID_CAM'\r\n\t\t\tand containing payload_field\r\n\t\t\t\tcontaining type\r\n\t\t\t\t\tindicating 'signed'\r\n\t\t\t\tand containing data\r\n\t\t\t\t\tindicating length > 0\r\n\t\t\t\t\tcontaining CAM payload\r\n\t\t\tand containing trailer_fields\r\n\t\t\t\tcontaining trailer_fields[0]\r\n\t\t\t\t\tcontaining type\r\n\t\t\t\t\t\tindicating 'signature'\r\n\t\t\t\t\tcontaining signature\r\n\t\t\t\t\t\tverifiable using KEY\r\n\tthen\r\n\t\tthe IUT accepts the message"
        },
        "_status": {
            "isGenerated": false,
            "key": "_status",
            "origin": "f9d66f08-1f63-4cad-87e1-a3a696d53497",
            "type": "STRING",
            "value": "verified"
        },
        "_type": {
            "isGenerated": false,
            "key": "_type",
            "origin": "f9d66f08-1f63-4cad-87e1-a3a696d53497",
            "type": "STRING",
            "value": "TestPurpose"
        }
    },
    "uuid": "f9d66f08-1f63-4cad-87e1-a3a696d53497"
}